updated below dependecies required for resolving dependencie issue for below packages
deciphex-security-oauth-1.1.1.jar
deciphex-encryption-1.1.0.jar
<dependency>
   <groupId>com.deciphex</groupId>
   <artifactId>deciphex-security-oauth</artifactId>
   <version>1.1.1</version>
   <scope>system</scope>
<systemPath>${basedir}/deciphex-security-oauth-1.1.1.jar</systemPath>
</dependency>
<dependency>
   <groupId>com.deciphex</groupId>
   <artifactId>deciphex-encryption</artifactId>
   <version>1.1.0</version>
   <scope>system</scope>
   <systemPath>${basedir}/deciphex-encryption-1.1.0.jar</systemPath>
</dependency>
other library for 2FA
import org.jboss.aerogear.security.otp.Totp;
<dependency>
			<groupId>org.jboss.aerogear</groupId>
			<artifactId>aerogear-otp-java</artifactId>
			<version>1.0.0</version>
		</dependency>
procedure for enabling 2FA 
use secret key value for assigned role(service key for each role group)
